## thunar-pango-extensions thunar-pango-extensions |

## Functions

PangoAttrList * | thunar_pango_attr_list_big ()
PangoAttrList * | thunar_pango_attr_list_big_bold ()
PangoAttrList * | thunar_pango_attr_list_bold ()
PangoAttrList * | thunar_pango_attr_disable_hyphens ()
PangoAttrList * | thunar_pango_attr_list_italic ()
PangoAttrList * | thunar_pango_attr_list_small_italic ()
PangoAttrList * | thunar_pango_attr_list_small ()
PangoAttrList * | thunar_pango_attr_list_underline_single ()

## Description

## Functions

### thunar_pango_attr_list_big ()

    PangoAttrList *
    thunar_pango_attr_list_big (void);

Returns a PangoAttrList for rendering big text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering big text.

### thunar_pango_attr_list_big_bold ()

    PangoAttrList *
    thunar_pango_attr_list_big_bold (void);

Returns a PangoAttrList for rendering big bold text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering big bold text.

### thunar_pango_attr_list_bold ()

    PangoAttrList *
    thunar_pango_attr_list_bold (void);

Returns a PangoAttrList for rendering bold text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering bold text.

### thunar_pango_attr_disable_hyphens ()

    PangoAttrList *
    thunar_pango_attr_disable_hyphens (void);

Returns a PangoAttrList for not inserting hyphens at intra-word line breaks. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for not inserting hyphens at intra-word line breaks.

### thunar_pango_attr_list_italic ()

    PangoAttrList *
    thunar_pango_attr_list_italic (void);

Returns a PangoAttrList for rendering italic text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering italic text.

### thunar_pango_attr_list_small_italic ()

    PangoAttrList *
    thunar_pango_attr_list_small_italic (void);

Returns a PangoAttrList for rendering small italic text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering small italic text.

### thunar_pango_attr_list_small ()

    PangoAttrList *
    thunar_pango_attr_list_small (void);

Returns a PangoAttrList for rendering small text. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for rendering small text.

### thunar_pango_attr_list_underline_single ()

    PangoAttrList *
    thunar_pango_attr_list_underline_single
                                   (void);

Returns a PangoAttrList for underlining text using a single line. The returned list is owned by the callee and must not be freed or modified by the caller.

#### Returns

a PangoAttrList for underlining text using a single line.